All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr.relational
Class SimpleConditionalExpression_Like

    com.sas.iquery.metadata.expr.relational.SimpleConditionalExpression_Like

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, CascadableFilter, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    @SASScope(value="ALL")
    @SubjectToChange
    public class SimpleConditionalExpression_Like

implements BusinessModelResourceReferencer

Models the LIKE simple conditional expression, which has the following abstract form:
`<WhatToCompare> [NOT] LIKE <patternExpression>`

Field Summary
`static java.lang.String` | `EVENT_ESCAPE_CHAR_CHANGED`
`static java.lang.String` | `EVENT_LIKE_PATTERN_CHANGED`
`static java.lang.String` | `EVENT_MATCH_MANY_CHAR_CHANGED`
`static java.lang.String` | `EVENT_MATCH_ONE_CHAR_CHANGED`
`static java.lang.String` | `EVENT_WHAT_TO_COMPARE_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.relational.RelationalConditionalExpression
`EVENT_FF_OVERRIDE_STATUS_CHANGED, EVENT_FF_OVERRIDE_VALUE_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`EVENT_NEGATION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Constructor Summary
`SimpleConditionalExpression_Like()`

Method Summary
`java.lang.Character` | `getEscapeCharacter()` Gets the escape character used by LIKE expression or NULL.
`java.lang.Character` | `getMatchManyCharacter()` Gets the user set 'match many' character used by LIKE expression or `null` if the user has not set one and "%" will be used.
`java.lang.Character` | `getMatchOneCharacter()` Gets the user set 'match one' character used by LIKE expression or `null` if the user has not set one and "_" will be used.
`ExpressionInterface` | `getPatternExpression()` Gets the pattern expression for this LIKE expression.
`ExpressionInterface` | `getWhatToCompare()` Gets the expression being tested for the pattern
`void` | `setEscapeCharacter(java.lang.Character escape)` Sets the escape character portion of the LIKE expression.
`void` | `setMatchManyCharacter(java.lang.Character matchMany)` Sets the match many character to use in the LIKE expression.
`void` | `setMatchOneCharacter(java.lang.Character matchOne)` Sets the 'match one' character to use in the LIKE expression.
`void` | `setPatternExpression(ExpressionInterface expr)` Sets the pattern expression portion of the LIKE expression.
`void` | `setWhatToCompare(ExpressionInterface expr)` Sets the expression for what the pattern is to be tested against (`<whatToCompare> [NOT] LIKE <pattern>`).

Methods inherited from class com.sas.iquery.metadata.expr.relational.RelationalConditionalExpression
`getExpression`

Methods inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`getExpressionType, isNegated, setIsNegated`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

### EVENT_WHAT_TO_COMPARE_CHANGED

    public static final java.lang.String EVENT_WHAT_TO_COMPARE_CHANGED

See Also:
  Constant Field Values

### EVENT_LIKE_PATTERN_CHANGED

    public static final java.lang.String EVENT_LIKE_PATTERN_CHANGED

See Also:
  Constant Field Values

### EVENT_ESCAPE_CHAR_CHANGED

    public static final java.lang.String EVENT_ESCAPE_CHAR_CHANGED

See Also:
  Constant Field Values

### EVENT_MATCH_MANY_CHAR_CHANGED

    public static final java.lang.String EVENT_MATCH_MANY_CHAR_CHANGED

See Also:
  Constant Field Values

### EVENT_MATCH_ONE_CHAR_CHANGED

    public static final java.lang.String EVENT_MATCH_ONE_CHAR_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### SimpleConditionalExpression_Like

    public SimpleConditionalExpression_Like()

Method Detail

### setWhatToCompare

    public void setWhatToCompare(ExpressionInterface expr)

  Sets the expression for what the pattern is to be tested against (`<whatToCompare> [NOT] LIKE <pattern>`).

  Property change events signaled:

  - EVENT_WHAT_TO_COMPARE_CHANGED

  Parameters:
    `expr` - left side of conditional expression

### getWhatToCompare

    public ExpressionInterface getWhatToCompare()

  Gets the expression being tested for the pattern

  Returns:
    the left side expression.

### setPatternExpression

    public void setPatternExpression(ExpressionInterface expr)

  Sets the pattern expression portion of the LIKE expression.

  Property change events signaled:

  - EVENT_LIKE_PATTERN_CHANGED

  Parameters:
    `expr` - right side of conditional expression

### getPatternExpression

    public ExpressionInterface getPatternExpression()

  Gets the pattern expression for this LIKE expression.

  Returns:
    the right side expression.

### setEscapeCharacter

    public void setEscapeCharacter(java.lang.Character escape)

  Sets the escape character portion of the LIKE expression.

  Property change events signaled:

  - EVENT_ESCAPE_CHAR_CHANGED

  Parameters:
    `escape` - character to be used in the LIKE expression

### getEscapeCharacter

    public java.lang.Character getEscapeCharacter()

  Gets the escape character used by LIKE expression or NULL.

  Returns:
    the escape character used. Otherwise NULL

### setMatchManyCharacter

    public void setMatchManyCharacter(java.lang.Character matchMany)

  Sets the match many character to use in the LIKE expression. If set to null, the default match many character of "%" will be used.

  Property change events signaled:

  - EVENT_MATCH_MANY_CHAR_CHANGED

  Parameters:
    `match` - many character to be used in the LIKE expression or `null` to reset to default

### getMatchManyCharacter

    public java.lang.Character getMatchManyCharacter()

  Gets the user set 'match many' character used by LIKE expression or `null` if the user has not set one and "%" will be used.

  Returns:
    the match many character used. Otherwise `null`

### setMatchOneCharacter

    public void setMatchOneCharacter(java.lang.Character matchOne)

  Sets the 'match one' character to use in the LIKE expression. If set to null, the default match many character of "_" will be used.

  Property change events signaled:

  - EVENT_MATCH_MANY_CHAR_CHANGED

  Parameters:
    `'match` - one' character to be used in the LIKE expression or `null` to reset to default

### getMatchOneCharacter

    public java.lang.Character getMatchOneCharacter()

  Gets the user set 'match one' character used by LIKE expression or `null` if the user has not set one and "_" will be used.

  Returns:
    the 'match one' character used. Otherwise `null`

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.